Name: quake3-demo
Version: 1.11
Release: 6
Group: Applications/Games
License: Q3A_EULA
Source0: linuxq3ademo-1.11-6.x86.gz.sh
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Provides: quake3-data, quake3-data-demo
Requires: quake3
Summary: Quake 3 Arena for Linux demo

%description
Quake 3 Arena for Linux demo

This package contains the 4-level demo data files from id Software.  It
supports online play, but only on the demo map levels.  This package does
NOT contain the pak0.pk3 data file from the commercial Quake 3 CD.
You must have the commercial Quake 3 CD to play the full game.

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/quake3
pushd $RPM_BUILD_ROOT/usr/lib/quake3
skip=$(head -1000 %{SOURCE0} |grep -a ^skip|cut -d= -f2|sed s/\"//g)
#OLDSKIP=$(head -1000 %{SOURCE0}|grep -a OLDSKIP|cut -d= -f2)
COMPRESS=$(head -$skip %{SOURCE0}|grep -a Compression:|cut -d: -f2)
tail -n +$skip %{SOURCE0} | $COMPRESS -cd | tar -xf - *.pk3 Help/Q3A_EULA.txt
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}
mv Help/Q3A_EULA.txt $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}
mv demoq3 baseq3
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
/usr/lib/quake3/baseq3/pak0.pk3
%{_defaultdocdir}/%{name}-%{version}/Q3A_EULA.txt

%changelog
* Tue Jan 24 2006 Sketch <sketch@openverse.com>
- Initial RPM build
